/*
 * Docs Dispatcher API - API document(s) generation
 * Docs.io API enables you to generate files (currently DOCx, XLSx, PPTx, PDF, HTML, JPG/PNG/SVG) from a template and JSON data. You can just download resulting file, send email with generated attachments or compose services.
 *
 * The version of the OpenAPI document: 3.1.1
 * Contact: tech@docs-dispatcher.io
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package io.docs_dispatcher.client.model;

import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.docs_dispatcher.client.model.Address;
import io.docs_dispatcher.client.model.DeferredTargetRequest;
import io.docs_dispatcher.client.model.FileContentRequest;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import org.openapitools.jackson.nullable.JsonNullable;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

/**
 * Model tests for PostalRequest
 */
public class PostalRequestTest {
    private final PostalRequest model = new PostalRequest();

    /**
     * Model tests for PostalRequest
     */
    @Test
    public void testPostalRequest() {
        // TODO: test PostalRequest
    }

    /**
     * Test the property 'provider'
     */
    @Test
    public void providerTest() {
        // TODO: test provider
    }

    /**
     * Test the property 'subject'
     */
    @Test
    public void subjectTest() {
        // TODO: test subject
    }

    /**
     * Test the property 'sender'
     */
    @Test
    public void senderTest() {
        // TODO: test sender
    }

    /**
     * Test the property 'receivers'
     */
    @Test
    public void receiversTest() {
        // TODO: test receivers
    }

    /**
     * Test the property 'documents'
     */
    @Test
    public void documentsTest() {
        // TODO: test documents
    }

    /**
     * Test the property 'data'
     */
    @Test
    public void dataTest() {
        // TODO: test data
    }

    /**
     * Test the property 'envelopeFormat'
     */
    @Test
    public void envelopeFormatTest() {
        // TODO: test envelopeFormat
    }

    /**
     * Test the property 'colorMode'
     */
    @Test
    public void colorModeTest() {
        // TODO: test colorMode
    }

    /**
     * Test the property 'postage'
     */
    @Test
    public void postageTest() {
        // TODO: test postage
    }

    /**
     * Test the property 'bothSides'
     */
    @Test
    public void bothSidesTest() {
        // TODO: test bothSides
    }

    /**
     * Test the property 'targetFilename'
     */
    @Test
    public void targetFilenameTest() {
        // TODO: test targetFilename
    }

    /**
     * Test the property 'settings'
     */
    @Test
    public void settingsTest() {
        // TODO: test settings
    }

    /**
     * Test the property 'targets'
     */
    @Test
    public void targetsTest() {
        // TODO: test targets
    }

}
